Receivable Updated by Accounting Software

A receivable.refreshed_from_ledger event is fired a Receivable has been updated with refreshed data from your accounting software.

Payload

The standard-formatted Routable webhook payload.

detail
object

An optional detail object providing more information about the event that occurred.

string
required

The event that triggered the webhook.

string
enum
required

The type of resource a webhook references:

ValueResource
companyCompany
itemdeprecated
payablePayable
payment_methodPaymentMethod
receivableReceivable
risk_reportComplianceCheck
tax_formTaxForm
testN/A
uuid
required

The ID of the resource associated with this event.

Headers
string

An HMAC-SHA256 hash of the value of Routable-Signature-Timestamp, a period, and the raw JSON webhook request body. See https://developers.routable.com/docs/webhooks for details and code samples describing how to decrypt and validate this value.

date-time

A timestamp in GMT. Webhook events where the timestamp is more than five minutes old, or in the future, must be rejected by your code with a 401 Unauthorized.

Responses
200

Return a 200 OK status with no body to indicate that the webhook was processed successfully.

401

Return a 401 Unauthorized status with no body if any of the validation steps are unsuccessful when processing the incoming webhook event.

LoadingLoading…